## magit 4.3.8

=== Makefile ===
-include config.mk
include default.mk

## ###################################################################

.PHONY: lisp docs \
	install install-lisp install-docs install-info \
	test test-interactive magit \
	clean clean-lisp clean-docs clean-archives \
	stats \
	dist versionlib magit-$(VERSION).tar.gz

all: lisp docs

help:
	$(info )
	$(info See default.mk for variables you might want to set.)
	$(info )
	$(info Build)
	$(info =====)
	$(info )
	$(info make [all]            - compile elisp and documentation)
	$(info make lisp             - compile elisp)
	$(info make redo             - re-compile elisp)
	$(info make docs             - generate all manual formats)
	$(info make redo-docs        - re-generate all manual formats)
	$(info make texi             - generate texi manuals)
	$(info make info             - generate info manuals)
	$(info make html             - generate html manual files)
	$(info make html-dir         - generate html manual directories)
	$(info make pdf              - generate pdf manuals)
	$(info make epub             - generate epub manuals)
	$(info )
	$(info Install)
	$(info =======)
	$(info )
	$(info make install          - install elisp and documentation)
	$(info make install-lisp     - install elisp)
	$(info make install-docs     - install all documentation)
	$(info make install-info     - install info manuals only)
	$(info )
	$(info Clean)
	$(info ====)
	$(info )
	$(info make clean            - clean elisp, documentation and tarball)
	$(info make clean-lisp       - clean elisp)
	$(info make clean-docs       - clean docs)
	$(info make clean-archives   - clean release tarball)
	$(info make clean-all        - clean everything except tracked texi)
	$(info make clean-stats      - clean stats)
	$(info )
	$(info Test)
	$(info ====)
	$(info )
	$(info make test             - run tests)
	$(info make test-interactive - run tests interactively)
	$(info make emacs-Q          - run emacs -Q plus Magit)
	$(info make check-declare    - check function declarations)
	$(info )
	$(info Release Management)
	$(info ==================)
	$(info )
	$(info make authors          - regenerate AUTHORS.md)
	$(info make publish          - publish snapshot manuals)
	$(info make release          - publish release manuals)
	$(info make dist             - create tarballs)
	$(info make stats            - regenerate statistics)
	$(info make stats-upload     - publish statistics)
	@printf "\n"

## Build #############################################################

lisp:
	@$(MAKE) -C lisp lisp
	@$(MAKE) -C test lisp

redo: clean-lisp lisp

docs:
	@$(MAKE) -C docs docs

redo-docs:
	@$(MAKE) -C docs redo-docs

texi:
	@$(MAKE) -C docs texi

info:
	@$(MAKE) -C docs info

html:
	@$(MAKE) -C docs html

html-dir:
	@$(MAKE) -C docs html-dir

pdf:
	@$(MAKE) -C docs pdf

epub:
	@$(MAKE) -C docs epub

## Install ###########################################################

install: install-lisp install-docs

install-lisp: lisp
	@$(MAKE) -C lisp install

install-docs: docs
	@$(MAKE) -C docs install-docs

install-info: info
	@$(MAKE) -C docs install-info

## Test ##############################################################

test:
	@$(MAKE) -C test test

test-interactive:
	@$(MAKE) -C test test-interactive

emacs-Q: clean-lisp
	@$(EMACS) -Q $(LOAD_PATH) --debug-init --eval "(progn\
	(setq debug-on-error t)\
	(require 'magit)\
	(global-set-key \"\\C-xg\" 'magit-status))"

check-declare:
	@$(MAKE) -C lisp check-declare

## Clean #############################################################

clean: clean-lisp clean-docs clean-archives

clean-lisp:
	@$(MAKE) -C lisp clean

clean-docs:
	@$(MAKE) -C docs clean

clean-archives:
	@$(RM) *.tar.gz *.tar lisp/magit-version.el
	@$(RMDIR) magit-$(VERSION)

clean-all: clean clean-stats

clean-stats:
	@$(MAKE) -C docs clean-stats

## Release management ################################################

authors:
	@$(MAKE) -C docs authors

publish:
	@$(MAKE) -C docs publish

release:
	@$(MAKE) -C docs release

dist: clean-docs clean-archives versionlib info magit-$(VERSION).tar.gz
	@$(RMDIR) magit-$(VERSION)
	@$(RM) magit-version.el

versionlib:
	@$(MAKE) -C lisp versionlib

DIST_ROOT_FILES = LICENSE default.mk Makefile README.md CHANGELOG
DIST_LISP_FILES = $(addprefix lisp/,$(ELS) magit-version.el Makefile)
DIST_DOCS_FILES = $(addprefix docs/,$(TEXIPAGES) AUTHORS.md Makefile)

magit-$(VERSION).tar.gz:
	@printf "Packing $@\n"
	@$(MKDIR) magit-$(VERSION)
	@$(CP) $(DIST_ROOT_FILES) magit-$(VERSION)
	@$(MKDIR) magit-$(VERSION)/lisp
	@$(CP) $(DIST_LISP_FILES) magit-$(VERSION)/lisp
	@$(MKDIR) magit-$(VERSION)/docs
	@$(CP) $(DIST_DOCS_FILES) magit-$(VERSION)/docs
	@$(TAR) cz --mtime=./magit-$(VERSION) -f magit-$(VERSION).tar.gz magit-$(VERSION)

## Statistics ########################################################

stats:
	@$(MAKE) -C docs stats

stats-upload:
	@$(MAKE) -C docs stats-upload

=== docs/Makefile ===
-include ../config.mk
include ../default.mk

.PHONY: install clean AUTHORS.md stats

## Build #############################################################

docs: texi info html html-dir pdf

texi:     $(TEXIPAGES)
info:     $(INFOPAGES) dir
html:     $(HTMLFILES)
html-dir: $(HTMLTOPS)
pdf:      $(PDFFILES)
epub:     $(EPUBFILES)

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ol-man
ORG_EVAL += --eval "(progn $$ORG_MAN_EXPORT)"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --eval "\
(defun org-texinfo--sanitize-content (text)\
  (replace-regexp-in-string \"[@@{}]\" \"@@\\&\" text))"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

redo-docs:
	@touch $(ORGPAGES)
	@make docs

.revdesc: ;
_    := $(shell test "$(REVDESC)" = "$$(cat .revdesc 2> /dev/null)" ||\
        echo "$(REVDESC)" > .revdesc)

%.texi: %.org .orgconfig .revdesc
	@printf "Generating $@\n"
	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: magit.info magit-section.info
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link rel="icon" href="/assets/magit_alt1.ico">\
\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

%/index.html: %.texi
	@$(RMDIR) $(HTMLDIRS)
	@printf "Generating magit/*.html\n"
	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) magit.texi
	@for f in $$(find magit -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done
	@printf "Generating magit-section/*.html\n"
	@$(MAKEINFO) --html -o $(PKG)-section/ $(MANUAL_HTML_ARGS) magit-section.texi
	@for f in $$(find magit-section -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

%.epub: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --docbook $< -o epub.xml
	@xsltproc $(DOCBOOK_XSL) epub.xml 2> /dev/null
	@echo "application/epub+zip" > mimetype
	@zip -X --quiet --recurse-paths -0 $@ mimetype
	@zip -X --quiet --recurse-paths -9 --no-dir-entries $@ META-INF OEBPS
	@$(RMDIR) $(EPUBTRASH)

## Install ###########################################################

install: install-info install-docs

install-docs: install-info
	@$(MKDIR) $(DESTDIR)$(docdir)
	$(CP) AUTHORS.md $(DESTDIR)$(docdir)

install-info: info
	@$(MKDIR) $(DESTDIR)$(infodir)
	$(CP) $(INFOPAGES) $(DESTDIR)$(infodir)

## Clean #############################################################

clean:
	@printf " Cleaning docs/*...\n"
	@$(RMDIR) dir $(INFOPAGES) $(HTMLFILES) $(HTMLDIRS) $(PDFFILES)
	@$(RMDIR) $(EPUBFILES) $(EPUBTRASH)
	@$(RMDIR) $(GENSTATS_DIR)

## Release management ################################################

authors: AUTHORS.md

AUTHORS.md:
	@printf "Generating AUTHORS.md..."
	@test -e $(TOP).git \
	&& (printf "$$AUTHORS_HEADER\n" > $@ \
	&& git log --pretty=format:'- %aN' | sort -u | \
	grep -v dependabot >> $@ \
	&& printf "done\n" ; ) \
	|| printf "FAILED (non-fatal)\n"
	@git commit --gpg-sign -m "AUTHORS.md: Update list of contributors" \
	-o -- $@ ../.mailmap && git show --pretty= -p HEAD || true

PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/
S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish: redo-docs
	@printf "Uploading snapshot manuals...\n"
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@printf "upload: ./$(PKG)/* to $(PUBLISH_TARGET)*\n"
	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/ > /dev/null
	@aws s3 cp magit-section.html $(PUBLISH_TARGET)
	@aws s3 cp magit-section.pdf  $(PUBLISH_TARGET)
	@printf "upload: ./magit-section/* to $(PUBLISH_TARGET)*\n"
	@aws s3 sync --delete magit-section $(PUBLISH_TARGET)magit-section/ > /dev/null
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release: redo-docs
	@printf "Uploading release manuals...\n"
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@printf "upload: ./$(PKG)/* to $(RELEASE_TARGET)*\n"
	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/ > /dev/null
	@aws s3 cp magit-section.html $(RELEASE_TARGET)
	@aws s3 cp magit-section.pdf  $(RELEASE_TARGET)
	@printf "upload: ./magit-section/* to $(RELEASE_TARGET)*\n"
	@aws s3 sync --delete magit-section $(RELEASE_TARGET)magit-section/ > /dev/null
	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

## Statistics ########################################################

stats:
	@printf "Generating statistics\n"
	@$(GITSTATS) $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)

stats-upload:
	@printf "Uploading statistics...\n"
	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation \
	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null

## Lisp ##############################################################

# When making changes here, then also adjust the copy in magit-base.el.
define ORG_MAN_EXPORT
(define-advice org-man-export (:around (fn link description format) gitman)
  (if (and (eq format 'texinfo) ;'
           (string-match-p "\\`git" link))
      (replace-regexp-in-string "%s" link "
@ifinfo
@ref{%s,,,gitman,}.
@end ifinfo
@ifhtml
@html
the <a href=\"http://git-scm.com/docs/%s\">%s(1)</a> manpage.
@end html
@end ifhtml
@iftex
the %s(1) manpage.
@end iftex
")
    (funcall fn link description format)))
endef
export ORG_MAN_EXPORT

## Templates #########################################################

define AUTHORS_HEADER
The following people have contributed to Magit.
For statistics see https://magit.vc/stats/magit/authors.html.

Authors
-------

- Marius Vollmer
- Jonas Bernoulli

Active Maintainers
------------------

- Jonas Bernoulli
- Kyle Meyer

Former Maintainers
------------------

- Nicolas Dudebout
- Noam Postavsky
- Peter J. Weisberg
- Phil Jackson
- Rémi Vanicat
- Yann Hodique

All Contributors
----------------

endef
export AUTHORS_HEADER

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

## ###################################################################

.PHONY: magit-version.el check-declare install

all: lisp

## Build order #######################################################

magit-section.elc:
magit-base.elc:            magit-section.elc
magit-git.elc:             magit-base.elc
magit-mode.elc:            magit-base.elc magit-git.elc
magit-margin.elc:          magit-base.elc magit-mode.elc
magit-process.elc:         magit-base.elc magit-git.elc magit-mode.elc
git-commit.elc:            magit-git.elc magit-mode.elc magit-process.elc
magit-transient.elc:       magit-git.elc magit-mode.elc magit-process.elc
magit-autorevert.elc:      magit-git.elc magit-process.elc
magit-core.elc:            magit-base.elc magit-git.elc magit-mode.elc \
                           magit-margin.elc magit-process.elc \
                           magit-transient.elc magit-autorevert.elc
magit-diff.elc:            git-commit.elc magit-core.elc
magit-log.elc:             magit-core.elc magit-diff.elc
magit-wip.elc:             magit-core.elc magit-log.elc
magit-reflog.elc:          magit-core.elc magit-log.elc
magit-apply.elc:           magit-core.elc magit-diff.elc magit-wip.elc
magit-repos.elc:           magit-core.elc
magit.elc:                 git-commit.elc magit-core.elc magit-diff.elc \
                           magit-log.elc magit-apply.elc magit-repos.elc
magit-status.elc:          magit.elc
magit-refs.elc:            magit.elc
magit-files.elc:           magit.elc
magit-reset.elc:           magit.elc
magit-branch.elc:          magit.elc magit-reset.elc
magit-merge.elc:           magit.elc magit-diff.elc
magit-tag.elc:             magit.elc
magit-worktree.elc:        magit.elc
magit-notes.elc:           magit.elc
magit-sequence.elc:        magit.elc
magit-commit.elc:          magit.elc magit-sequence.elc
magit-remote.elc:          magit.elc
magit-clone.elc:           magit.elc
magit-fetch.elc:           magit.elc
magit-pull.elc:            magit.elc magit-remote.elc
magit-push.elc:            magit.elc
magit-bisect.elc:          magit.elc
magit-stash.elc:           magit.elc magit-sequence.elc magit-reflog.elc
magit-blame.elc:           magit.elc
magit-submodule.elc:       magit.elc
magit-patch.elc:           magit.elc
magit-subtree.elc:         magit.elc
magit-ediff.elc:           magit.elc
magit-gitignore.elc:       magit.elc
magit-sparse-checkout.elc: magit.elc
magit-bundle.elc:          magit.elc
magit-extras.elc:          magit.elc magit-merge.elc
magit-dired.elc:           magit.elc
git-rebase.elc:            magit.elc
magit-bookmark.elc:        magit.elc

## Build #############################################################

lisp:       $(ELCS) loaddefs $(LISP_EXTRA_TARGETS)
loaddefs:   $(PKG)-autoloads.el
versionlib: $(PKG)-version.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(BATCH) --eval "(progn\
	(when (file-exists-p \"$@\")\
	  (delete-file \"$@\"))\
	(setq with-editor-emacsclient-executable nil)\
	$$suppress_warnings)" \
	-f batch-byte-compile $<

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

$(PKG)-version.el:
	@printf " Creating $@\n"
	@printf "%s" "$$VERSIONLIB_TMPL" > $@

check-declare:
	@printf "Checking function declarations\n"
	@$(BATCH) -L $(TOP)../borg -L $(TOP)../forge/lisp \
	--eval "(check-declare-directory default-directory)"

## Install ###########################################################

install: lisp versionlib
	@$(MKDIR) $(DESTDIR)$(lispdir)
	$(CP) $(ELS) magit-autoloads.el magit-version.el $(ELCS) $(DESTDIR)$(lispdir)

## Clean #############################################################

clean:
	@printf " Cleaning lisp/*...\n"
	@$(RM) *.elc $(ELGS)
	@$(RM) ../test/magit-tests.elc

## Templates #########################################################

define VERSIONLIB_TMPL
;;; $(PKG)-version.el --- The Magit version you are using  -*- lexical-binding:t -*-

(setq $(PKG)-version "$(VERSION)")

(provide '$(PKG)-version)

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; coding: utf-8
;; End:
;;; $(PKG)-version.el ends here

endef
export VERSIONLIB_TMPL
#'

define suppress_warnings
(remhash (indirect-function 'derived-mode-p) advertised-signature-table)
(fset 'original-message (symbol-function 'message))
(fset 'message
      (lambda (f &rest a)
        (unless (or (equal f "Wrote %s")
                    (equal f "pcase-memoize: equal first branch, yet different")
                    (and (equal f "Warning: Unknown defun property `%S' in %S")
                         (memq (car a) '(pure side-effect-free interactive-only))))
          (apply 'original-message f a))))
endef
export suppress_warnings

=== test/Makefile ===
-include ../config.mk
include ../default.mk

test: lisp
	@printf "Testing...\n"
	@$(BATCH) --eval "(progn\
	$$suppress_warnings\
	(load-file \"$(TOP)test/magit-tests.el\")\
	(ert-run-tests-batch-and-exit))"

test-interactive:
	@$(EMACS) -Q $(LOAD_PATH) --eval "(progn\
	(load-file \"$(TOP)test/magit-tests.el\")\
	(ert t))"

lisp: magit-tests.elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(BATCH) --eval "(progn\
	(when (file-exists-p \"$@\")\
	  (delete-file \"$@\"))\
	(setq with-editor-emacsclient-executable nil)\
	$$suppress_warnings)" \
	-f batch-byte-compile $<

=== debian/changelog ===
magit (4.3.8-2) unstable; urgency=medium

  * Ship missing magit-dired.el in elpa-magit (Closes: #1120049)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 07 Nov 2025 18:01:28 -0800

magit (4.3.8-1) unstable; urgency=medium

  * Use default elpa test rules and set LC_ALL to C.UTF-8
  * Add lisp source directory to ert load path
  * Drop all patches now that tests are handled by dh-elpa (Closes:
    #1106033)

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 13 Aug 2025 04:10:33 -0700

magit (4.3.8-1~exp2) experimental; urgency=medium

  * Build-Depends on transient from experimental

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 11 Jul 2025 11:16:34 -0700

magit (4.3.8-1~exp1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 10 Jul 2025 10:51:35 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo "Targets info, html, and pdf all build texi, so serialize to avoid a race condition."
	$(MAKE) texi
	$(MAKE) info html pdf

override_dh_auto_install:
	@echo do not run make install

override_dh_elpa_test:
	LC_ALL=C.UTF-8 dh_elpa_test

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/magit/magit/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## magit 4.4.2

=== debian/changelog ===
magit (4.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1119335, #1121003)
  * Update Build-Dependencies
    - Add newly required elpa-cond-let.
    - Require elpa-transient >= 0.10.
    - Drop elpa-compat; provided by Emacs.
  * Migrate d/watch to rfc822-style version 5 format
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 04 Dec 2025 17:48:29 -0800

=== debian/control ===
Source: magit
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Timo Juhani Lindfors <timo.lindfors@iki.fi>,
 Rémi Vanicat <vanicat@debian.org>,
 Barak A. Pearlmutter <bap@debian.org>,
 Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa (>= 2.1.2),
 elpa-cond-let,
 elpa-llama,
 elpa-transient (>= 0.10),
 elpa-with-editor,
 git,
 texinfo,
 texlive-base,
Standards-Version: 4.7.2
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magit
Architecture: all
Provides:
 elpa-git-commit,
 magit,
Replaces:
 elpa-git-commit (<< 4.1.2-2~),
 magit (<< 2.2.2-3),
Breaks:
 elpa-git-commit (<< 4.1.2-2~),
 magit (<< 2.2.2-3),
Depends:
 emacs (>= 1:30.1),
 git,
 ${elpa:Depends},
 ${misc:Depends},
Enhances:
 emacs,
 git,
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Section: oldlibs
Depends:
 elpa-magit (>= 4.1.2-2~),
 ${elpa:Depends},
 ${misc:Depends},
Enhances:
 emacs,
 git,
Description: Transitional package for git-commit
 A mode for editing COMMIT_MSG file from git in Emacs.  This has
 become part of elpa-magit since version 4.1.0.

Package: elpa-magit-section
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Enhances:
 emacs,
Description: Collapsible sections like in Magit
 This package implements the main user interface of Magit — the
 collapsible sections that make up its buffers.  This package used
 to be distributed as part of Magit but now it can also be used by
 other packages that have nothing to do with Magit or Git.

## magit 4.5.0

=== Makefile ===
--- 
+++ 
@@ -19,53 +19,53 @@
 	$(info Build)
 	$(info =====)
 	$(info )
-	$(info make [all]            - compile elisp and documentation)
-	$(info make lisp             - compile elisp)
-	$(info make redo             - re-compile elisp)
-	$(info make docs             - generate all manual formats)
-	$(info make redo-docs        - re-generate all manual formats)
-	$(info make texi             - generate texi manuals)
-	$(info make info             - generate info manuals)
-	$(info make html             - generate html manual files)
-	$(info make html-dir         - generate html manual directories)
-	$(info make pdf              - generate pdf manuals)
-	$(info make epub             - generate epub manuals)
+	$(info make [all]            -- Compile elisp and documentation)
+	$(info make lisp             -- Compile elisp)
+	$(info make redo             -- Re-compile elisp)
+	$(info make docs             -- Generate all manual formats)
+	$(info make redo-docs        -- Re-generate all manual formats)
+	$(info make texi             -- Generate texi manuals)
+	$(info make info             -- Generate info manuals)
+	$(info make html             -- Generate html manual files)
+	$(info make html-dir         -- Generate html manual directories)
+	$(info make pdf              -- Generate pdf manuals)
+	$(info make epub             -- Generate epub manuals)
 	$(info )
 	$(info Install)
 	$(info =======)
 	$(info )
-	$(info make install          - install elisp and documentation)
-	$(info make install-lisp     - install elisp)
-	$(info make install-docs     - install all documentation)
-	$(info make install-info     - install info manuals only)
+	$(info make install          -- Install elisp and documentation)
+	$(info make install-lisp     -- Install elisp)
+	$(info make install-docs     -- Install all documentation)
+	$(info make install-info     -- Install info manuals only)
 	$(info )
 	$(info Clean)
 	$(info ====)
 	$(info )
-	$(info make clean            - clean elisp, documentation and tarball)
-	$(info make clean-lisp       - clean elisp)
-	$(info make clean-docs       - clean docs)
-	$(info make clean-archives   - clean release tarball)
-	$(info make clean-all        - clean everything except tracked texi)
-	$(info make clean-stats      - clean stats)
+	$(info make clean            -- Clean elisp, documentation and tarball)
+	$(info make clean-lisp       -- Clean elisp)
+	$(info make clean-docs       -- Clean docs)
+	$(info make clean-archives   -- Clean release tarball)
+	$(info make clean-all        -- Clean everything except tracked texi)
+	$(info make clean-stats      -- Clean stats)
 	$(info )
 	$(info Test)
 	$(info ====)
 	$(info )
-	$(info make test             - run tests)
-	$(info make test-interactive - run tests interactively)
-	$(info make emacs-Q          - run emacs -Q plus Magit)
-	$(info make check-declare    - check function declarations)
+	$(info make test             -- Run tests)
+	$(info make test-interactive -- Run tests interactively)
+	$(info make emacs-Q          -- Run emacs -Q plus Magit)
+	$(info make check-declare    -- Check function declarations)
 	$(info )
 	$(info Release Management)
 	$(info ==================)
 	$(info )
-	$(info make authors          - regenerate AUTHORS.md)
-	$(info make publish          - publish snapshot manuals)
-	$(info make release          - publish release manuals)
-	$(info make dist             - create tarballs)
-	$(info make stats            - regenerate statistics)
-	$(info make stats-upload     - publish statistics)
+	$(info make authors          -- Regenerate AUTHORS.md)
+	$(info make publish          -- Publish snapshot manuals)
+	$(info make release          -- Publish release manuals)
+	$(info make dist             -- Create tarballs)
+	$(info make stats            -- Regenerate statistics)
+	$(info make stats-upload     -- Publish statistics)
 	@printf "\n"
 
 ## Build #############################################################
@@ -115,16 +115,17 @@
 
 ## Test ##############################################################
 
-test:
+test: lisp
 	@$(MAKE) -C test test
 
 test-interactive:
 	@$(MAKE) -C test test-interactive
 
 emacs-Q: clean-lisp
-	@$(EMACS) -Q $(LOAD_PATH) --debug-init --eval "(progn\
+	@$(MAKE) -C lisp autoloads
+	@$(EMACS_INTR) --debug-init --eval "(progn\
 	(setq debug-on-error t)\
-	(require 'magit)\
+	(require 'magit-autoloads)\
 	(global-set-key \"\\C-xg\" 'magit-status))"
 
 check-declare:
@@ -132,13 +133,16 @@
 
 ## Clean #############################################################
 
-clean: clean-lisp clean-docs clean-archives
+clean: clean-lisp clean-docs clean-test clean-archives
 
 clean-lisp:
 	@$(MAKE) -C lisp clean
 
 clean-docs:
 	@$(MAKE) -C docs clean
+
+clean-test:
+	@$(MAKE) -C test clean
 
 clean-archives:
 	@$(RM) *.tar.gz *.tar lisp/magit-version.el

=== docs/Makefile ===
--- 
+++ 
@@ -14,8 +14,7 @@
 pdf:      $(PDFFILES)
 epub:     $(EPUBFILES)
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ol-man
-ORG_EVAL += --eval "(progn $$ORG_MAN_EXPORT)"
+ORG_EVAL += --load ol-man --eval "(progn $$ORG_MAN_EXPORT)"
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --eval "\
@@ -33,7 +32,7 @@
 
 %.texi: %.org .orgconfig .revdesc
 	@printf "Generating $@\n"
-	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)
+	@$(EMACS_ORG) $< $(ORG_EVAL)
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -43,13 +42,13 @@
 	@printf "Generating dir\n"
 	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@
 
-HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
-<link rel="icon" href="/assets/magit_alt1.ico">\
-\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
-\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
-\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
-\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
-\n<script src="/assets/js/simple-css-switch.js"></script>'
+HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="https:\/\/$(DOMAIN)\/assets\/page.css">/a\
+<link rel="icon" href="https://$(DOMAIN)/assets/magit_alt1.ico">\
+\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="https://$(DOMAIN)/assets/themes/default.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="https://$(DOMAIN)/assets/themes/default-high-contrast.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="https://$(DOMAIN)/assets/themes/solarized-dark-xterm.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="https://$(DOMAIN)/assets/themes/black-on-white.css">\
+\n<script src="https://$(DOMAIN)/assets/js/simple-css-switch.js"></script>'
 HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
 HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'
 
@@ -119,48 +118,28 @@
 	@git commit --gpg-sign -m "AUTHORS.md: Update list of contributors" \
 	-o -- $@ ../.mailmap && git show --pretty= -p HEAD || true
 
-PUBLISH_PATH   ?= /manual/
-RELEASE_PATH   ?= /manual/$(VERSION)/
-S3_BUCKET      ?= s3://$(DOMAIN)
-PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
-RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
-CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*
-
-comma := ,
-empty :=
-space := $(empty) $(empty)
+DOCS_DOMAIN = docs.$(DOMAIN)
+SNAP_TARGET = $(subst .,_,$(DOCS_DOMAIN)):devel/
+DOCS_TARGET = $(subst .,_,$(DOCS_DOMAIN)):
 
 publish: redo-docs
-	@printf "Uploading snapshot manuals...\n"
-	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
-	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
-	@printf "upload: ./$(PKG)/* to $(PUBLISH_TARGET)*\n"
-	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/ > /dev/null
-	@aws s3 cp magit-section.html $(PUBLISH_TARGET)
-	@aws s3 cp magit-section.pdf  $(PUBLISH_TARGET)
-	@printf "upload: ./magit-section/* to $(PUBLISH_TARGET)*\n"
-	@aws s3 sync --delete magit-section $(PUBLISH_TARGET)magit-section/ > /dev/null
-	@printf "Generating CDN invalidation\n"
-	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
-	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
+	@printf "Publishing snapshot manual...\n"
+	@cp $(PKG).pdf         $(PKG)/$(PKG).pdf
+	@cp $(PKG)-section.pdf $(PKG)-section/$(PKG)-section.pdf
+	@$(RCLONE) sync $(RCLONE_ARGS) $(PKG)         $(SNAP_TARGET)/$(PKG)/
+	@$(RCLONE) sync $(RCLONE_ARGS) $(PKG)-section $(SNAP_TARGET)/$(PKG)-section/
 
 release: redo-docs
-	@printf "Uploading release manuals...\n"
-	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
-	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
-	@printf "upload: ./$(PKG)/* to $(RELEASE_TARGET)*\n"
-	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/ > /dev/null
-	@aws s3 cp magit-section.html $(RELEASE_TARGET)
-	@aws s3 cp magit-section.pdf  $(RELEASE_TARGET)
-	@printf "upload: ./magit-section/* to $(RELEASE_TARGET)*\n"
-	@aws s3 sync --delete magit-section $(RELEASE_TARGET)magit-section/ > /dev/null
-	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
-	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
-	@printf "Generating CDN invalidation\n"
-	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
-	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null
+	@printf "Publishing release manual...\n"
+	@cp $(PKG).pdf         $(PKG)/$(PKG).pdf
+	@cp $(PKG)-section.pdf $(PKG)-section/$(PKG)-section.pdf
+	@$(RCLONE) sync $(RCLONE_ARGS) $(PKG)         $(DOCS_TARGET)/$(PKG)/
+	@$(RCLONE) sync $(RCLONE_ARGS) $(PKG)-section $(DOCS_TARGET)/$(PKG)-section/
 
 ## Statistics ########################################################
+
+STAT_DOMAIN = stats.$(DOMAIN)
+STAT_TARGET = $(subst .,_,$(STAT_DOMAIN)):$(PKG)/
 
 stats:
 	@printf "Generating statistics\n"
@@ -168,11 +147,7 @@
 
 stats-upload:
 	@printf "Uploading statistics...\n"
-	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
-	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
-	@printf "Generating CDN invalidation\n"
-	@aws cloudfront create-invalidation \
-	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null
+	@$(RCLONE) sync $(RCLONE_ARGS) stats $(STAT_TARGET)
 
 ## Lisp ##############################################################
 
@@ -202,7 +177,7 @@
 
 define AUTHORS_HEADER
 The following people have contributed to Magit.
-For statistics see https://magit.vc/stats/magit/authors.html.
+For statistics see https://$(STAT_DOMAIN)/magit/authors.html.
 
 Authors
 -------

=== lisp/Makefile ===
--- 
+++ 
@@ -62,32 +62,31 @@
 
 ## Build #############################################################
 
-lisp:       $(ELCS) loaddefs $(LISP_EXTRA_TARGETS)
-loaddefs:   $(PKG)-autoloads.el
+lisp:       $(ELCS) autoloads $(LISP_EXTRA_TARGETS)
+autoloads:  $(PKG)-autoloads.el
 versionlib: $(PKG)-version.el
 
 %.elc: %.el
 	@printf "Compiling $<\n"
-	@$(BATCH) --eval "(progn\
+	@$(EMACS_BATCH) --eval "(progn\
 	(when (file-exists-p \"$@\")\
 	  (delete-file \"$@\"))\
 	(setq with-editor-emacsclient-executable nil)\
-	$$suppress_warnings)" \
+	(when (< emacs-major-version 30)\
+	  (require 'transient)))" \
 	-f batch-byte-compile $<
 
 $(PKG)-autoloads.el: $(ELS)
 	@printf " Creating $@\n"
-	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
-(let ((file (expand-file-name \"$@\"))\
-      (autoload-timestamps nil) \
-      (backup-inhibited t)\
-      (version-control 'never)\
-      (coding-system-for-write 'utf-8-emacs-unix))\
-  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
-  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
-            ((symbol-function 'progress-reporter-done) (lambda (_))))\
-    (let ((generated-autoload-file file))\
-      (update-directory-autoloads default-directory))))" \
+	@$(EMACS_BATCH) --load autoload --eval "\
+(let* ((file (expand-file-name \"$@\"))\
+       (generated-autoload-file file)\
+       (coding-system-for-write 'utf-8-emacs-unix)\
+       (backup-inhibited t)\
+       (version-control 'never)\
+       (inhibit-message t))\
+  (write-region (autoload-rubric file \"package\" t) nil file)\
+  (update-directory-autoloads default-directory))" \
 	2>&1 | sed "/^Package autoload is deprecated$$/d"
 
 $(PKG)-version.el:
@@ -96,7 +95,7 @@
 
 check-declare:
 	@printf "Checking function declarations\n"
-	@$(BATCH) -L $(TOP)../borg -L $(TOP)../forge/lisp \
+	@$(EMACS_BATCH) -L $(TOP)../borg -L $(TOP)../forge/lisp \
 	--eval "(check-declare-directory default-directory)"
 
 ## Install ###########################################################
@@ -132,16 +131,3 @@
 endef
 export VERSIONLIB_TMPL
 #'
-
-define suppress_warnings
-(remhash (indirect-function 'derived-mode-p) advertised-signature-table)
-(fset 'original-message (symbol-function 'message))
-(fset 'message
-      (lambda (f &rest a)
-        (unless (or (equal f "Wrote %s")
-                    (equal f "pcase-memoize: equal first branch, yet different")
-                    (and (equal f "Warning: Unknown defun property `%S' in %S")
-                         (memq (car a) '(pure side-effect-free interactive-only))))
-          (apply 'original-message f a))))
-endef
-export suppress_warnings

=== debian/changelog ===
magit (4.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/gbp.conf to use pristine-tar + upstream history workflow
    - The repo actually has both upstream and pristine-tar branches.  It
      is better to keep using them for now.
  * Add d/README.source to document the current workflow
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default
  * Stop building html docs
    - It contains links to fetch external js and css files which are
      considered a potential privacy breach.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 06 Jan 2026 18:38:33 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: magit
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Timo Juhani Lindfors <timo.lindfors@iki.fi>,
@@ -18,7 +17,7 @@
  git,
  texinfo,
  texlive-base,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo "Targets info and pdf all build texi, so serialize to avoid a race condition."
	$(MAKE) texi
	$(MAKE) info pdf

override_dh_auto_install:
	@echo do not run make install

override_dh_elpa_test:
	LC_ALL=C.UTF-8 dh_elpa_test

=== debian/watch ===
Version: 5

Template: Github
Owner: magit
Project: magit
